Prizes
POST /players/[playerId]/claim
Allows a player to claim a prize, which may be a coin reward or a physical/digital product. If a product is physical, address details are required. Only one prize type can be claimed per request.
Endpoint
POST/players/{playerId}/claim
Request Body
{
"coinPrize": 0,
"productId": "00000000-0000-0000-0000-000000000000",
"addressLine1": "string",
"city": "string",
"country": "string",
"postalCode": "string",
"email": "name@example.com"
}| Attribute | Type | Required | Description |
|---|---|---|---|
| coinPrize | integer | No | Optional. Required if no productId is set. Cannot be used with productId. |
| productId | string(uuid) | No | Optional. Required if no coinPrize is set. Cannot be used with coinPrize. |
| addressLine1 | string | No | Required if the product is physical. |
| city | string | No | |
| country | string | No | |
| postalCode | string | No | |
| string(email) | No |
Parameters
| Attribute | Description | Type | Location | Required |
|---|---|---|---|---|
| playerId | string | path | Yes |
Responses
200
Prize claimed successfully.
400
Invalid claim data.
500
Failed to process claim.